<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Home</title>

    <style>
        li {
            margin: 10px 0;
        }
    </style>
</head>
<body>
    <h1>Trening: python - Django - REST framework</h1>

    <ul>
        <li><a href="/admin" target="_blank">Djanogo admin</a> (User: admin - Pass: admin)</li>
        <li>Rest admin</li>
        <li>
            <ul>
                <li><a href="/api/articles" target="_blank">Articles</a></li>
                <li><a href="/api/catarticles/1" target="_blank">CatArticles</a></li>
                <li><a href="/api/racun" target="_blank">Racuni</a></li>
                <li><a href="/api/neplaceni" target="_blank">Neplaceni</a></li>
                <li><a href="/api/rnstavke/39" target="_blank">RnStavke</a></li>
                <li>...</li>
            </ul>
        </li>
        <li><a href="/pdadmin/" target="_blank">App admin</a></li>
        <li><a href="/panel/" target="_blank">Panel</a></li>
        <li><a href="/kasa" target="_blank">Kasa</a></li>
        <li><a href="/operater" target="_blank">Operater</a></li>
    </ul>

    <h3>App admin</h3>
    <p>MVT - CRUD na kategorijama i proizvodima.</p>
    <h3>Panel</h3>
    <p>Narucivanje: izborom kategorije preko API dovlaci njene proizvode. Klik na neki iz tabele formira tabelu za narucivanje. 'Naruci' salje API sa podacima racuna i upisuje ga u bazu.</p>
    <h3>Kasa</h3>
    <p>Svake sekunde API dovlaci neplacene racune i prikazuje ih. Klik na neki u tabeli dovlaci stavke. Klik na 'Naplati' salje API da je naplacen.</p>
    <h3>Operater</h3>
    <p>Svake 2 sekunde API proverava da li ima novih narucenih. Ako ima vise otvorenih 'Operater'-a racun dolazi samo kod jednog. Klik na 'Isporuci' salje status u bazu.</p>

    <h4>Napomene:</h4>
    <ul>
        <li>Kod Kase i Operatera umesto da stalno salje upite treba naci resenje (slicno SignalR u .Net) da bi se podaci dovlacili samo prilikom promene u bazi.</li>
        <li>Treba doraditi jos neke stvari na FE, recimo da 'Naruci' ne salje prazne racune.</li>
        <li>Sledeci korak eventualno upload slika za kategorije i proizvode.</li>
        <li>Za test najbolje otvoriti 1-2 Kase i 2+ Operatera, a narucivanje raditi iz Panela.</li>
    </ul>
</body>
</html>